### Enumeration

# GUsb DeviceRecipient

unstable since: 1.0

#### Declaration

    enum GUsb.DeviceRecipient

#### Description

The message recipient.

Available since: 1.0

#### Members

`G_USB_DEVICE_RECIPIENT_DEVICE`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`G_USB_DEVICE_RECIPIENT_INTERFACE`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`G_USB_DEVICE_RECIPIENT_ENDPOINT`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`G_USB_DEVICE_RECIPIENT_OTHER`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0